Ver Mensaje Individual
  #7  
Antiguo 05-ago-2017, 17:03
Avatar de mikrios
mikrios mikrios está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 02-marzo-2013
Ubicación: Lat. 27.994547-Lon -15.405127-160m nivel del mar
Versión: 13.1-2,TW,Leap
Mensajes: 4.843
Agradecimientos: 2.038
Agradecido 1.534 Veces en 1.290 Mensajes
Poder de Credibilidad: 10
mikrios llegará a ser famoso muy pronto
Hola:

He observado que desde hace tiempo (mas o menos lo que comenta @D.Rojo), que vlc no se comportaba como siempre, así que cambie a rosa media player.

La versión que saca la pantalla en negro es la de Leap 42.3, en la 42.2 y en la versión 2.2.4 funciona bien, he ejecutado esa versión en 42.3, exceptuando los paquetes de qt y nox y el problema sigue siendo el mismo,creo que puede ser algo que influya a vlc, pero de la sesión de usuario de plasma (opengl, probé los dos y xrender idem y tampoco es).

Código:
Z-87-DELUXE:~ # zypper se -si vlc
Loading repository data...
Reading installed packages...

S  | Name                | Type        | Version      | Arch   | Repository                                 
---+---------------------+-------------+--------------+--------+--------------------------------------------
i+ | VLC Media player    | application |              | noarch | Repositorio principal (OSS)                
i+ | VLC Media player    | application |              | noarch | Repositorio Principal de Actualizaciones   
i+ | VLC Media player    | application |              | noarch | Repositorio de actualizaciones (depuración)
i+ | VLC Media player    | application |              | noarch | openSUSE:Leap:42.2                         
i+ | VLC Media player    | application |              | noarch | openSUSE:Leap:42.2                         
i+ | libvlc5             | package     | 2.2.4-32.4.2 | x86_64 | Packman Repository                         
i+ | libvlccore8         | package     | 2.2.4-32.4.2 | x86_64 | Packman Repository                         
i+ | vlc                 | package     | 2.2.4-32.4.2 | x86_64 | Packman Repository                         
i+ | vlc-codec-gstreamer | package     | 2.2.4-32.4.2 | x86_64 | Packman Repository                         
i+ | vlc-codecs          | package     | 2.2.4-32.4.2 | x86_64 | Packman Repository                         
i  | vlc-lang            | package     | 2.2.4-32.4.2 | noarch | Packman Repository                         
i+ | vlc-noX             | package     | 2.2.4-32.4.2 | x86_64 | Packman Repository                         
i+ | vlc-qt              | package     | 2.2.4-32.4.2 | x86_64 | Packman Repository


En la versión de 42.3 creo que hubo una actualización de code gstremer de vlc ,pero no ha solucionado el problema.
Tener cuidado ya que lo coge del proveedor de oss, en mi caso lo he cambiado a packman desde yast:
Código:
 
LEAP-42-3:~ # zypper se -si vlc
Loading repository data...
Reading installed packages...

S  | Name                | Type        | Version   | Arch   | Repository                 
---+---------------------+-------------+-----------+--------+----------------------------
i+ | VLC Media player    | application |           | noarch | Repositorio principal (OSS)
i+ | libvlc5             | package     | 2.2.6-4.1 | x86_64 | Packman Repository         
i+ | libvlccore8         | package     | 2.2.6-4.1 | x86_64 | Packman Repository         
i+ | vlc                 | package     | 2.2.6-4.1 | x86_64 | Packman Repository         
i+ | vlc-codec-gstreamer | package     | 2.2.6-1.1 | x86_64 | Repositorio principal (OSS)
i+ | vlc-codecs          | package     | 2.2.6-4.1 | x86_64 | Packman Repository         
i+ | vlc-lang            | package     | 2.2.6-4.1 | noarch | Packman Repository         
i+ | vlc-noX             | package     | 2.2.6-4.1 | x86_64 | Packman Repository         
i+ | vlc-qt              | package     | 2.2.6-4.1 | x86_64 | Packman Repository         
LEAP-42-3:~ # zypper se -si vlc
Loading repository data...
Reading installed packages...

S  | Name                | Type        | Version   | Arch   | Repository                 
---+---------------------+-------------+-----------+--------+----------------------------
i+ | VLC Media player    | application |           | noarch | Repositorio principal (OSS)                                                                                                    
i+ | libvlc5             | package     | 2.2.6-4.1 | x86_64 | Packman Repository                                                                                                             
i+ | libvlccore8         | package     | 2.2.6-4.1 | x86_64 | Packman Repository                                                                                                             
i+ | vlc                 | package     | 2.2.6-4.1 | x86_64 | Packman Repository                                                                                                             
i+ | vlc-codec-gstreamer | package     | 2.2.6-4.1 | x86_64 | Packman Repository         
i+ | vlc-codecs          | package     | 2.2.6-4.1 | x86_64 | Packman Repository         
i+ | vlc-lang            | package     | 2.2.6-4.1 | noarch | Packman Repository         
i+ | vlc-noX             | package     | 2.2.6-4.1 | x86_64 | Packman Repository         
i+ | vlc-qt              | package     | 2.2.6-4.1 | x86_64 | Packman Repository
Las pruebas hechas fueron en 42.3 con las versiones 2.2.4 y la 2.2.6, resultado audio con pantalla negra, solo probé en mp4 y mkv, no se si los demás formatos van bien .

Creo que el programa pueda tener algún problema con la decodificación de vídeo, solo me queda probarlo con un depurador, haber si veo algo ( y queda por probar también vlc qt y nox , lo demás está ok y casi coinciden los binarios con la versión anterior que si funciona, la 2.2.4) .

Edito:
He observado y no viene al caso, algún bloqueo en la 42.3 al finalizar plymouth y comenzar la sesión de usuario (el caso es que se quedo una vez viendo la pantalla de la sesión con una fusión de la imagen de la bombilla de plymouth, he tenido como 3 cuelgues, por lo que he cambiado a xrender (vlc se probó con la versión 2.x y la versión 3.x y con xrender, con las tres y el fallo no creo que vaya por ahí, aunque no puedo asegurarlo ) .
Saludos cordiales

Última edición por mikrios; 05-ago-2017 a las 17:09 Razón: corregir y añadir
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a mikrios Por Este Mensaje:
Germanlokura (07-ago-2017)